Bug 991920 - Singular: FTBFS in rawhide
Singular: FTBFS in rawhide
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Singular (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Paulo Andrade
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F20FTBFS
  Show dependency treegraph
 
Reported: 2013-08-04 22:57 EDT by Dennis Gilmore
Modified: 2014-05-26 14:16 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-26 14:16:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dennis Gilmore 2013-08-04 22:57:08 EDT
Your package Singular failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=5689166

Build logs:
root.log: http://kojipkgs.fedoraproject.org/work/tasks/9166/5689166/root.log
build.log: http://kojipkgs.fedoraproject.org/work/tasks/9166/5689166/build.log
state.log: http://kojipkgs.fedoraproject.org/work/tasks/9166/5689166/state.log
NOTE: build logs are cleaned up after 1 week

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild
Comment 1 Jerry James 2013-08-14 18:04:44 EDT
While you are fixing that, would you also please add "-lpthread -ldl" to the link line for libsingular?  That will fix this:

$ ldd -r /usr/lib64/libsingular.so
undefined symbol: sem_unlink	(/usr/lib64/libsingular.so)
undefined symbol: sem_open	(/usr/lib64/libsingular.so)
undefined symbol: sem_wait	(/usr/lib64/libsingular.so)
undefined symbol: dlopen	(/usr/lib64/libsingular.so)
undefined symbol: sem_getvalue	(/usr/lib64/libsingular.so)
undefined symbol: sem_post	(/usr/lib64/libsingular.so)
undefined symbol: sem_trywait	(/usr/lib64/libsingular.so)
undefined symbol: dlclose	(/usr/lib64/libsingular.so)
undefined symbol: dlerror	(/usr/lib64/libsingular.so)
undefined symbol: dlsym	(/usr/lib64/libsingular.so)

Those undefined symbols are causing me trouble with a polymake update.  Thanks!
Comment 2 Paulo Andrade 2013-08-16 11:39:18 EDT
I just submitted a Singular rebuild with an updated
Singular-link.patch file that should address the
underlink issue. The submit is also done to check
if texlive wasn't also already corrected in arm.
Comment 3 Paulo Andrade 2013-09-02 18:04:32 EDT
After more time than should really have taken I tried to build it
under qemu, but failed, so delaying it again... interesting parts
of the build log:

[...]
creating cache ./config.cache
checking uname for singular... unknown
configure: warning: Unknown architecture: Check singuname.sh
[...]
checking for FLINT >= 2.3... not found
configure: WARNING: Unable to find FLINT (which is strongly recommended) on your machine: please use --with-flint=PATH_TO_DIR_CONTAINING_LIB_AND_INCLUDE (see also ./configure --help if you do not understand what we are talking about)
[...]
armv7hl-redhat-linux-gnueabi-g++ -c cf_factory.cc -Wall -fno-implicit-templates -I. -I.. -I. -I/usr -I/usr/include/factory -DHAVE_CONFIG_H -I/usr/include/factory  -O2 -g -march=armv7-a -mfloat-abi=hard -mfpu=neon -fPIC  -o cf_factory.o
armv7hl-redhat-linux-gnueabi-g++ -c cf_gcd.cc -Wall -fno-implicit-templates -I. -I.. -I. -I/usr -I/usr/include/factory -DHAVE_CONFIG_H -I/usr/include/factory  -O2 -g -march=armv7-a -mfloat-abi=hard -mfpu=neon -fPIC  -o cf_gcd.o
armv7hl-redhat-linux-gnueabi-g++ -c cf_gcd_smallp.cc -Wall -fno-implicit-templates -I. -I.. -I. -I/usr -I/usr/include/factory -DHAVE_CONFIG_H -I/usr/include/factory  -O2 -g -march=armv7-a -mfloat-abi=hard -mfpu=neon -fPIC  -o cf_gcd_smallp.o
cf_gcd_smallp.cc: In function 'CanonicalForm GCD_GF(const CanonicalForm&, const CanonicalForm&, CanonicalForm&, CanonicalForm&, CFList&, bool&)':
cf_gcd_smallp.cc:1141:55: internal compiler error: Segmentation fault
         expon= (int) floor((log ((double)((1<<16) - 1)))/(log((double)p)*kk));
                                                       ^
Please submit a full bug report,
with preprocessed source if appropriate.
See <http://bugzilla.redhat.com/bugzilla> for instructions.
[ 4574.936262] LVM: Logical Volume autoactivation enabled.
[ 4575.140620] LVM: Activation generator successfully completed.
The bug is not reproducible, so it is likely a hardware or OS problem.
make: *** [cf_gcd_smallp.o] Error 1

So, I did not reach the part where it fails in the FBTFS report...
Looks like I need to give more than 1G of memory for qemu.

I just did want to try to reproduce the problem to be able to make
a proper forward bug report, as the problem happens when generating
the documentation, and is either perl or texlive related.
Comment 4 Fedora End Of Life 2013-09-16 11:04:10 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 5 Fedora Update System 2014-01-17 17:34:04 EST
Singular-3.1.5-9.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/Singular-3.1.5-9.fc20
Comment 6 Fedora Update System 2014-01-27 08:02:21 EST
Singular-3.1.5-10.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Paulo Andrade 2014-05-26 14:16:03 EDT
Problem has been already corrected, and rawhide now has
Singular-3.1.6.

Note You need to log in before you can comment on or make changes to this bug.